Request quote

POST <baseURL>/deliveries/quote

This request returns the delivery price.

Additional information may be provided in the request payload beyond the set of required fields.
This additional information will have no effect on the quote.

Requesting a delivery fee quote is optional.
You can make a booking without requesting the fee in advance.

You can request a quote before booking a delivery.
The quote will be valid for the time specified in the quoteValidity object in the response.
If you don't book the order within this time, the quote will expire.
After receiving a quote, if you decide to accept it you should call bookDelivery with the quoteId.
The quoted price will be honored as long as the delivery details haven't changed.

This request may be made multiple times although there is no certainty the quote will be the same as previous requests.

Example

Change to

This example shows only the minimal required parameters to successfully request a delivery quote.

POST {baseURL}/deliveries/quote

Request body (for required fields):

{ "deliveries": { "clientId": "2", "deliveryMethod": "SCHEDULED_DELIVERY", "requestedMinDeliverySlotTime": "2024-09-07T19:00:00.000Z", "requestedMaxDeliverySlotTime": "2024-09-07T21:00:00.000Z", "pickupDetails": { "externalPickupPointId": "4969" }, "deliveryDetails": { "address": { "line1": "853 W California Ave", "city": "Sunnyvale", "state": "CA", "zipCode": "94086", "countryCode": "US" } } }
}

You can utilize the Book Delivery Request Payload shown below to obtain the quote (for required and
optional fields).

{ "deliveries": { "clientId": "2", "externalOrderId": "0154120240819032475", "deliveryMethod": "SCHEDULED_DELIVERY", "requestedMinDeliverySlotTime": "2024-09-07T19:00:00.000Z", "requestedMaxDeliverySlotTime": "2024-09-07T21:00:00.000Z", "pickupDetails": { "externalPickupPointId": "4969" }, "deliveryDetails": { "address": { "line1": "853 W California Ave", "line2": "Apt 10", "city": "Sunnyvale", "state": "CA", "zipCode": "94086", "countryCode": "US" } }, "orderManifest": { "summary": { "totalItems": 4, "orderSize": "S", "dimensions": [ { "length": 25, "width": 5.25, "height": 4.25, "unitOfMeasure": "IN" } ], "totalOrderWeight": { "measurementValue": 20, "unitOfMeasure": "OZ" }, "totalValueOfItems": { "currencyAmount": 86.59, "currencyUnit": "USD" }, "specialHandlingAttributes": { "hasHazmatItems": false, "hasAlcoholItems": false, "hasColdchainItems": false, "hasFragileItems": false, "hasPharmacyItems": false } }, "itemDetails": [ { "itemId": "45387", "itemDescription": "Widget", "dimensions": { "length": 3.75, "width": 4.25, "height": 6, "unitOfMeasure": "IN" }, "quantity": 4, "weight": { "weight": 10.5, "unitOfMeasure": "LB" }, "itemTotal": { "currencyAmount": 36.45, "currencyUnit": "USD" } } ] } }
}

Response body:

{ "quoteId": "b4c3bd7e-c60f-4ea2-8ef3-9059a60bd07c", "pricingDetails": { "estimatedRate": { "currencyAmount": 8.75, "currencyUnit": "USD" }, "quoteValidity": { "startTime": "2024-09-05T17:17:35.075287057Z", "endTime": "2024-09-05T17:46:35.075287057Z" } }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Specifies an object for the delivery quote request.

Specifies the delivery destination address object.

deliveries
object
required

Specifies an object detailing the delivery information.

Use the same details as the Book a delivery request (POST /deliveries) when retrieving an estimated price for a delivery.

Headers
string
required

Specifies the public key value for the client.

This is the Client Consumer ID for the OAuth2 client credentials.
See the Walmart Client Center's Walmart administrator, client administrator, or development management for this value.

Example: 685f74bf-b8ca-447d-8338-966di751443f

string
required

Specifies access token.

The authentication value is the combination of the literal Bearer and the access token.

The combination is called the authentication token.
It validates a user's authentication and authorization permissions.
See Authentication for additional information.

Example: Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz

string

Specifies the request log identifier.

This optional header can be any value.
Walmart GoLocal uses this value to log requests and error situations.

Examples:

2398

685f74bf-b8ca-447d-8338-966dd751445f

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json